Bug 324741 - ladspa's listplugins should work without setting LADSPA_PATH
ladspa's listplugins should work without setting LADSPA_PATH
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: ladspa (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Thomas Vander Stichele
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-09 07:56 EDT by Anthony Green
Modified: 2008-09-05 15:36 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-05 15:36:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
A spec file patch. (1.51 KB, patch)
2007-10-09 07:56 EDT, Anthony Green
no flags Details | Diff
Source patch. (659 bytes, patch)
2007-10-09 07:57 EDT, Anthony Green
no flags Details | Diff

  None (edit)
Description Anthony Green 2007-10-09 07:56:31 EDT
Description of problem:
listplugins and other utils shipped with ladspa require LADSPA_PATH to be set,
and so doesn't work by default.  However on fedora we know where the default
ladspa plugin dir is, and listplugins should work without setting LADSPA_PATH.
I will attach a patch to make these utils work by default, but still allow
overriding by LADSPA_PATH.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Anthony Green 2007-10-09 07:56:31 EDT
Created attachment 221191 [details]
A spec file patch.
Comment 2 Anthony Green 2007-10-09 07:57:31 EDT
Created attachment 221201 [details]
Source patch.
Comment 3 Bug Zapper 2008-05-13 23:20:55 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.